--- title: "GetMetricsGroup" slug: "management-cloudinsight-getmetricsgroup" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getmetricsgroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetMetricsGroup Available in Classic and VPC Get specific rule template (monitoring item group) information for a service (product). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/rule/group/metrics/query/{prodKey}/{id} | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `id` | String | Required | Rule template ID - See [GetMetricsGroupList](/docs/en/management-cloudinsight-getmetricsgrouplist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/metrics/query/************/**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createTime` | Integer | - | Rule template creation date and time (millisecond) - Unix timestamp format | | `domainCode` | String | - | NAVER Cloud Platform domain code | | `groupDesc` | String | - | Rule template description | | `groupName` | String | - | Rule template name | | `id` | String | - | Rule template ID | | `idDimension` | String | - | Dimension name | | `metrics` | Array | - | Metric list: [metrics](/docs/en/management-cloudinsight-getmetricsgroup#metrics) | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `prodType` | String | - | Product type | | `regionCode` | String | - | Region code | | `temporaryGroup` | Boolean | - | Whether to create rule template - `true` \| `false` - `true`: Create event rules without creating a rule template. - `false`: Create rule template. | | `updateTime` | Integer | - | Rule template modification date and time (millisecond) - Unix timestamp format | #### `metrics` The following describes `metrics`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `options` | Object | - | Aggregation method - Displayed in the form of `"Aggregation cycle": [Aggregation function]` - Aggregation cycle: `Min1` \| `Min5` \| `Min30` \| `Hour2` \| `Day1` - Aggregation function: `COUNT` \| `SUM` \| `MAX` \| `MIN` \| `AVG` | Note See [MetricsGroupItem](/docs/en/common-vapidatatype-cimetricsgroupitem) for more information about the fields related to metric group information. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createTime": 1589769312574, "domainCode": "PUB", "groupDesc": "This is a metric group for the test-server.", "groupName": "test-server", "id": "***********", "idDimension": "instanceNo", "metrics": [ { "calculation": "AVG", "condition": "EQ", "desc": "network send fail packets average", "dimensions": [ { "dim": "type", "val": "svr" } ], "duration": 1, "eventLevel": "INFO", "metric": "avg_snd_fail_packt_cnt", "metricGroupItemId": "metricGroupItemId001", "options": { "Min1": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Min5": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Min30": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Hour2": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Day1": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ] }, "threshold": "0" } ], "prodKey": "**********", "prodType": "system", "regionCode": "KR", "temporaryGroup": false, "updateTime": 1589770306595 } ```